## org.omg.CosNaming.NamingContextPackage
Class NotFoundReasonHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextPackage.NotFoundReasonHelper

public class NotFoundReasonHelper
extends java.lang.Object

Helper class for : NotFoundReason

Author:
  OpenORB Compiler

Constructor Summary
`NotFoundReasonHelper()`

Method Summary
`static NotFoundReason` `extract(Any a)` Extract NotFoundReason from an any
`static java.lang.String` `id()` Return the NotFoundReason IDL ID
`static void` `insert(Any a, NotFoundReason t)` Insert NotFoundReason into an any
`static NotFoundReason` `read(InputStream istream)` Read NotFoundReason from a marshalled stream
`static TypeCode` `type()` Return the NotFoundReason TypeCode
`static void` `write(OutputStream ostream, NotFoundReason value)` Write NotFoundReason into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotFoundReasonHelper

    public NotFoundReasonHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NotFoundReason t)

  Insert NotFoundReason into an any
  Parameters:
    `a` - an any
    `t` - NotFoundReason value

### extract

    public static NotFoundReason extract(Any a)

  Extract NotFoundReason from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NotFoundReason value

### type

    public static TypeCode type()

  Return the NotFoundReason TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NotFoundReason IDL ID
  Returns:
    an ID

### read

    public static NotFoundReason read(InputStream istream)

  Read NotFoundReason from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NotFoundReason value

### write

    public static void write(OutputStream ostream,
                             NotFoundReason value)

  Write NotFoundReason into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NotFoundReason value